// This file may be redistributed and modified only under the terms of
// the GNU General Public License (See COPYING for details).
// Copyright (C) 2006 Simon Goodall

package WFUT;

import java.util.HashMap;
import java.util.Map;

public class ChannelList {

  private String m_name = "";
  private Map m_fileMap = new HashMap();
  
  public String getName() { return m_name; }
  public void setName(final String n) { m_name = n; }
  
  public Map getFiles() { return m_fileMap; }
  public void addFile(FileObject fo) {
    m_fileMap.put(fo.getFilename(), fo);   
  }
  
  public void removeFile(final String filename) {
    m_fileMap.remove(filename); 
  
  }
}
